package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity;

import com.jeeplus.core.persistence.DataEntity;

/**
 * 储备项目交底信息汇总统计表
 * @author: 王强
 * @create: 2022-07-20 13:40
 **/
public class ReserveSummary extends DataEntity<ReserveSummary> {

    private String projectYear;             //项目年份
    private String projectNature;           //项目性质
    private String demandUnit;              //需求单位
    private String district;                //区域
    private String projectGroup;            //项目分组
    private String projectManager;          //项目经理
    private String reserveBatches;          //储备批次
    private String blockSupply;             //供电区域
    private String gridNumber;              //网格编号
    private String cellNumber;              //单元格编号
    private String projectReserveId;        //项目储备编号
    private String projectName;             //项目名称
    private String constructionNecessityAndContent;           //建设必要性及内容
    private String substationName;           //变电站名称
    private String circuitName;              //线路名称
    private String netRackProjectDivide;     //网架项目划分
    private String requirementType;          //需求类型
    private String projectType;              //项目类型
    private String costEstimate;             //费用估算
    private String budgetPreparationStatus;  //预算编制状态
    private String budgetIncludesTax;        //预算含税
    private String budgetNotIncludesTax;     //预算不含税
    private String basicRemarks;             //储备项目基本信息-备注
    private String reserveProgress;          //储备进度
    private String includeReserve;           //是否纳入储备

    private String reasonForCancel;          //取消原因说明
    private String comprehensiveProject;     //项目综合可实施性
    private String officeDifficulty;         //政处难度
    private String officeProgress;           //政处进度
    private String powerFailureDifficulty;   //停电难度
    private String powerFailureDescribe;     //停电描述
    private String otherProblemDifficulty;   //其他问题难度
    private String otherProblemDescribe;     //其他问题描述
    private String runPlanRequire;           //是否需重跑方案
    private String programChangeDescription; //方案变更说明
    private String discloseRemarks;          //储备项目交底信息-备注
    private String demandUnitPriority;       //需求单位优先级
    private String preliminaryArrangement;   //立项初安排
    private String initialImplementBatch;    //初定实施批次
    private String initialImplementUnit;     //初定实施单位
    private String projectManagementCenter;  //储备项目推进计划（项目管理中心）
    private String completeProgressUnit;     //项目管理单位完成进度
    private String projectReservePlan;       //储备项目推进计划（需求单位）
    private String demandUnitProgress;       //需求单位完成进度
    private String departmentPlan;           //政处计划（政处单位）
    private String administrativeProgress;   //政处进度
    private String drawMapPath;              //是否出路径图
    private String planRemarks;              //储备项目推进计划-备注
    private String arrangementProject;       //立项安排
    private String implementationBatch;      //实施批次
    private String constructionUnit;         //施工单位
    private String drawOfficeDrawn;          //是否出正式图
    private String projectInitiateRemarks;   //立项筛选-备注

    private String pretrialEstimateAmount;  //概算信息（审前）- 总概算金额（含税）
    private String pretrialEstimateAmountExcludeTax;  //概算信息（审前）- 总概算金额（不含税）
    private String afterTrialEstimateAmount;  //概算信息（审后）- 总概算金额（含税）
    private String afterTrialEstimateAmountExcludeTax;  //概算信息（审后）- 总概算金额（不含税）

    private String processStatus;       //流程状态

    public ReserveSummary() {
    }

    public String getProcessStatus() {
        return processStatus;
    }

    public void setProcessStatus(String processStatus) {
        this.processStatus = processStatus;
    }

    public String getProjectYear() {
        return projectYear;
    }

    public void setProjectYear(String projectYear) {
        this.projectYear = projectYear;
    }

    public String getProjectNature() {
        return projectNature;
    }

    public void setProjectNature(String projectNature) {
        this.projectNature = projectNature;
    }

    public String getDemandUnit() {
        return demandUnit;
    }

    public void setDemandUnit(String demandUnit) {
        this.demandUnit = demandUnit;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getProjectGroup() {
        return projectGroup;
    }

    public void setProjectGroup(String projectGroup) {
        this.projectGroup = projectGroup;
    }

    public String getProjectManager() {
        return projectManager;
    }

    public void setProjectManager(String projectManager) {
        this.projectManager = projectManager;
    }

    public String getReserveBatches() {
        return reserveBatches;
    }

    public void setReserveBatches(String reserveBatches) {
        this.reserveBatches = reserveBatches;
    }

    public String getBlockSupply() {
        return blockSupply;
    }

    public void setBlockSupply(String blockSupply) {
        this.blockSupply = blockSupply;
    }

    public String getGridNumber() {
        return gridNumber;
    }

    public void setGridNumber(String gridNumber) {
        this.gridNumber = gridNumber;
    }

    public String getCellNumber() {
        return cellNumber;
    }

    public void setCellNumber(String cellNumber) {
        this.cellNumber = cellNumber;
    }

    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getConstructionNecessityAndContent() {
        return constructionNecessityAndContent;
    }

    public void setConstructionNecessityAndContent(String constructionNecessityAndContent) {
        this.constructionNecessityAndContent = constructionNecessityAndContent;
    }

    public String getSubstationName() {
        return substationName;
    }

    public void setSubstationName(String substationName) {
        this.substationName = substationName;
    }

    public String getCircuitName() {
        return circuitName;
    }

    public void setCircuitName(String circuitName) {
        this.circuitName = circuitName;
    }

    public String getNetRackProjectDivide() {
        return netRackProjectDivide;
    }

    public void setNetRackProjectDivide(String netRackProjectDivide) {
        this.netRackProjectDivide = netRackProjectDivide;
    }

    public String getRequirementType() {
        return requirementType;
    }

    public void setRequirementType(String requirementType) {
        this.requirementType = requirementType;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public String getCostEstimate() {
        return costEstimate;
    }

    public void setCostEstimate(String costEstimate) {
        this.costEstimate = costEstimate;
    }

    public String getBudgetPreparationStatus() {
        return budgetPreparationStatus;
    }

    public void setBudgetPreparationStatus(String budgetPreparationStatus) {
        this.budgetPreparationStatus = budgetPreparationStatus;
    }

    public String getBudgetIncludesTax() {
        return budgetIncludesTax;
    }

    public void setBudgetIncludesTax(String budgetIncludesTax) {
        this.budgetIncludesTax = budgetIncludesTax;
    }

    public String getBudgetNotIncludesTax() {
        return budgetNotIncludesTax;
    }

    public void setBudgetNotIncludesTax(String budgetNotIncludesTax) {
        this.budgetNotIncludesTax = budgetNotIncludesTax;
    }

    public String getBasicRemarks() {
        return basicRemarks;
    }

    public void setBasicRemarks(String basicRemarks) {
        this.basicRemarks = basicRemarks;
    }

    public String getReserveProgress() {
        return reserveProgress;
    }

    public void setReserveProgress(String reserveProgress) {
        this.reserveProgress = reserveProgress;
    }

    public String getIncludeReserve() {
        return includeReserve;
    }

    public void setIncludeReserve(String includeReserve) {
        this.includeReserve = includeReserve;
    }

    public String getReasonForCancel() {
        return reasonForCancel;
    }

    public void setReasonForCancel(String reasonForCancel) {
        this.reasonForCancel = reasonForCancel;
    }

    public String getComprehensiveProject() {
        return comprehensiveProject;
    }

    public void setComprehensiveProject(String comprehensiveProject) {
        this.comprehensiveProject = comprehensiveProject;
    }

    public String getOfficeDifficulty() {
        return officeDifficulty;
    }

    public void setOfficeDifficulty(String officeDifficulty) {
        this.officeDifficulty = officeDifficulty;
    }

    public String getOfficeProgress() {
        return officeProgress;
    }

    public void setOfficeProgress(String officeProgress) {
        this.officeProgress = officeProgress;
    }

    public String getPowerFailureDifficulty() {
        return powerFailureDifficulty;
    }

    public void setPowerFailureDifficulty(String powerFailureDifficulty) {
        this.powerFailureDifficulty = powerFailureDifficulty;
    }

    public String getPowerFailureDescribe() {
        return powerFailureDescribe;
    }

    public void setPowerFailureDescribe(String powerFailureDescribe) {
        this.powerFailureDescribe = powerFailureDescribe;
    }

    public String getOtherProblemDifficulty() {
        return otherProblemDifficulty;
    }

    public void setOtherProblemDifficulty(String otherProblemDifficulty) {
        this.otherProblemDifficulty = otherProblemDifficulty;
    }

    public String getOtherProblemDescribe() {
        return otherProblemDescribe;
    }

    public void setOtherProblemDescribe(String otherProblemDescribe) {
        this.otherProblemDescribe = otherProblemDescribe;
    }

    public String getRunPlanRequire() {
        return runPlanRequire;
    }

    public void setRunPlanRequire(String runPlanRequire) {
        this.runPlanRequire = runPlanRequire;
    }

    public String getProgramChangeDescription() {
        return programChangeDescription;
    }

    public void setProgramChangeDescription(String programChangeDescription) {
        this.programChangeDescription = programChangeDescription;
    }

    public String getDiscloseRemarks() {
        return discloseRemarks;
    }

    public void setDiscloseRemarks(String discloseRemarks) {
        this.discloseRemarks = discloseRemarks;
    }

    public String getDemandUnitPriority() {
        return demandUnitPriority;
    }

    public void setDemandUnitPriority(String demandUnitPriority) {
        this.demandUnitPriority = demandUnitPriority;
    }

    public String getPreliminaryArrangement() {
        return preliminaryArrangement;
    }

    public void setPreliminaryArrangement(String preliminaryArrangement) {
        this.preliminaryArrangement = preliminaryArrangement;
    }

    public String getInitialImplementBatch() {
        return initialImplementBatch;
    }

    public void setInitialImplementBatch(String initialImplementBatch) {
        this.initialImplementBatch = initialImplementBatch;
    }

    public String getInitialImplementUnit() {
        return initialImplementUnit;
    }

    public void setInitialImplementUnit(String initialImplementUnit) {
        this.initialImplementUnit = initialImplementUnit;
    }

    public String getProjectManagementCenter() {
        return projectManagementCenter;
    }

    public void setProjectManagementCenter(String projectManagementCenter) {
        this.projectManagementCenter = projectManagementCenter;
    }

    public String getCompleteProgressUnit() {
        return completeProgressUnit;
    }

    public void setCompleteProgressUnit(String completeProgressUnit) {
        this.completeProgressUnit = completeProgressUnit;
    }

    public String getProjectReservePlan() {
        return projectReservePlan;
    }

    public void setProjectReservePlan(String projectReservePlan) {
        this.projectReservePlan = projectReservePlan;
    }

    public String getDemandUnitProgress() {
        return demandUnitProgress;
    }

    public void setDemandUnitProgress(String demandUnitProgress) {
        this.demandUnitProgress = demandUnitProgress;
    }

    public String getDepartmentPlan() {
        return departmentPlan;
    }

    public void setDepartmentPlan(String departmentPlan) {
        this.departmentPlan = departmentPlan;
    }

    public String getAdministrativeProgress() {
        return administrativeProgress;
    }

    public void setAdministrativeProgress(String administrativeProgress) {
        this.administrativeProgress = administrativeProgress;
    }

    public String getDrawMapPath() {
        return drawMapPath;
    }

    public void setDrawMapPath(String drawMapPath) {
        this.drawMapPath = drawMapPath;
    }

    public String getPlanRemarks() {
        return planRemarks;
    }

    public void setPlanRemarks(String planRemarks) {
        this.planRemarks = planRemarks;
    }

    public String getArrangementProject() {
        return arrangementProject;
    }

    public void setArrangementProject(String arrangementProject) {
        this.arrangementProject = arrangementProject;
    }

    public String getImplementationBatch() {
        return implementationBatch;
    }

    public void setImplementationBatch(String implementationBatch) {
        this.implementationBatch = implementationBatch;
    }

    public String getConstructionUnit() {
        return constructionUnit;
    }

    public void setConstructionUnit(String constructionUnit) {
        this.constructionUnit = constructionUnit;
    }

    public String getDrawOfficeDrawn() {
        return drawOfficeDrawn;
    }

    public void setDrawOfficeDrawn(String drawOfficeDrawn) {
        this.drawOfficeDrawn = drawOfficeDrawn;
    }

    public String getProjectInitiateRemarks() {
        return projectInitiateRemarks;
    }

    public void setProjectInitiateRemarks(String projectInitiateRemarks) {
        this.projectInitiateRemarks = projectInitiateRemarks;
    }

    public String getPretrialEstimateAmount() {
        return pretrialEstimateAmount;
    }

    public void setPretrialEstimateAmount(String pretrialEstimateAmount) {
        this.pretrialEstimateAmount = pretrialEstimateAmount;
    }

    public String getPretrialEstimateAmountExcludeTax() {
        return pretrialEstimateAmountExcludeTax;
    }

    public void setPretrialEstimateAmountExcludeTax(String pretrialEstimateAmountExcludeTax) {
        this.pretrialEstimateAmountExcludeTax = pretrialEstimateAmountExcludeTax;
    }

    public String getAfterTrialEstimateAmount() {
        return afterTrialEstimateAmount;
    }

    public void setAfterTrialEstimateAmount(String afterTrialEstimateAmount) {
        this.afterTrialEstimateAmount = afterTrialEstimateAmount;
    }

    public String getAfterTrialEstimateAmountExcludeTax() {
        return afterTrialEstimateAmountExcludeTax;
    }

    public void setAfterTrialEstimateAmountExcludeTax(String afterTrialEstimateAmountExcludeTax) {
        this.afterTrialEstimateAmountExcludeTax = afterTrialEstimateAmountExcludeTax;
    }
}
