package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.ReserveElectricityWork;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.History;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 储备项目带电作业信息 mapper
 * @author: 王强
 * @create: 2022-07-22 09:07
 **/
@MyBatisMapper
public interface ReserveElectricityWorkMapper extends BaseMapper<ReserveElectricityWork> {

    /**
     * 根据项目储备编号删除带电作业信息
     * @param projectReserveId
     */
    void deleteByProjectReserveId(String projectReserveId);

    /**
     * 修改用户分界开关数量
     * @param allNum
     */
    void updateSwitchNum(String allNum);

    /**
     * 获取所有的  项目储备编号
     * @return
     */
    List<String> getAllProId();

    /**
     * 从基本数据表中获取所有的  项目储备编号
     * @return
     */
    List<String> getAllProId2();

    /**
     * 根据项目储备id查询项目信息
     * @param reserveManagement
     * @return
     */
    ReserveElectricityWork queryByProjectReserveId(ReserveElectricityWork reserveManagement);

    /**
     * 批量添加项目储备信息
     * @param list
     * @return
     */
    void insertList(@Param("list") List<ReserveElectricityWork> list);

    /**
     * 导出数据查询
     * @param reserveManagement
     * @return
     */
    List<ReserveElectricityWork> exportFindList(ReserveElectricityWork reserveManagement);

    /**
     * 根据projectReserveId查出proc_ins_id
     * @param projectReserveId
     * @return
     */
    String getByProjectReserveId(String projectReserveId);

    /**
     * 根据executeId查出历史节点信息
     * @param executeId
     * @return
     */
    List<History> getHistoryByExecuteId(String executeId);

    /**
     * 根据executeId查出当前节点的名称
     * @param executeId
     * @return
     */
    String getByExecuteId(String executeId);

    /**
     * 根据项目储备编号查看是否有该数据
     * @param proId
     * @return
     */
    ReserveElectricityWork getByProId(String proId);
}
