package com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.Cable;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.MaterialData;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 电缆段长统计表  mapper
 * @author: 王强
 * @create: 2022-11-04 08:54
 **/
@MyBatisMapper
public interface CableMapper extends BaseMapper<Cable> {

    /**
     * 获取所有的  项目储备编号
     * @return
     */
    List<String> getAllProId();

    /**
     * 根据项目名称去 甲供材表中获取数据
     * @param name
     * @return
     */
    List<MaterialData> getByProjectName(String name);

    /**
     * 根据项目储备id删除对应数据
     * @param proId
     */
    void deleteByProId(String proId);

    /**
     * 批量添加电缆段长统计表信息
     * @param list
     */
    void insertList(@Param("list") List<Cable> list);

    /**
     * 导出数据查询
     * @param cable
     * @return
     */
    List<Cable> exportFindList(Cable cable);
}
