package com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.service;

import com.jeeplus.core.persistence.Page;
import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.DocumentInfo;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.History;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.NormativeAudit;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.mapper.NormativeAuditMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 储备项目规范性审核记录表
 * @author: 王强
 * @create: 2022-08-23 11:01
 **/
@Service
@Transactional(readOnly = true)
public class NormativeAuditService extends CrudService<NormativeAuditMapper, NormativeAudit> {

    @Autowired
    private NormativeAuditMapper auditMapper;

    /**
     * 根据项目储备id  去数据库中查所有的文件路径信息
     * @param proId
     * @return
     */
    public DocumentInfo getByProId(String proId){
        return auditMapper.getByProId(proId);
    }

    /**
     * 将文件路径放入  流程文件信息表中
     * @param audit
     */
    @Transactional(readOnly = false)
    public void updateDocumentInfo(NormativeAudit audit){
        audit.preUpdate();
        auditMapper.updateDocumentInfo(audit);
    }

    public Page<NormativeAudit> findPage(Page<NormativeAudit> page, NormativeAudit normativeAudit) {
        Page<NormativeAudit> pageList = super.findPage(page, normativeAudit);
        return pageList;
    }

    public List<NormativeAudit> exportFindList(NormativeAudit normativeAudit) {
        List<NormativeAudit> pageList = auditMapper.exportFindList(normativeAudit);
        return pageList;
    }

    public int getCountByProjectReserveId(String projectReserveId){
        return auditMapper.getCountByProjectReserveId(projectReserveId);
    }

    public List<History> getHistoryByExecuteId(String executeId){
        return auditMapper.getHistoryByExecuteId(executeId);
    }

    public String getByExecuteId(String executeId){
        return auditMapper.getByExecuteId(executeId);
    }


}
