package com.jeeplus.modules.sg.balancedlibrary.transitMaterialGoods.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.balancedlibrary.transitMaterialGoods.entity.TransitMaterialGoods;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 在途物资MAPPER接口
 * @author: 王强
 * @create: 2022-08-30 14:09
 **/
@MyBatisMapper
public interface TransitMaterialGoodsMapper extends BaseMapper<TransitMaterialGoods> {

    /**
     * 批量插入替换物料信息
     * @param list 插入信息
     * */
    void insertList(@Param("list") List<TransitMaterialGoods> list);

    /**
     * 情况在途物资数据
     */
    void deleteZTList();

    /**
     * 根据id批量删除
     * @param list
     */
    void delList(@Param("list") List<String> list);

    /**
     * 查询出所有的在途物资
     * @return
     */
    List<TransitMaterialGoods> getAllGoods();
}
