<%@ page contentType="text/html;charset=UTF-8" %>
<script >
$(document).ready(function () {
    $('#projectTable').bootstrapTable({
        //请求方法
        method: 'post',
        //类型json
        dataType: "json",
        contentType: "application/x-www-form-urlencoded",
        //显示检索按钮
        showSearch: true,
        //显示刷新按钮
        showRefresh: true,
        //显示切换手机试图按钮
        showToggle: true,
        //显示 内容列下拉框
        showColumns: true,
        //显示到处按钮
        showExport: true,
        //显示切换分页按钮
        showPaginationSwitch: true,
        //最低显示2行
        minimumCountColumns: 2,
        //是否显示行间隔色
        striped: true,
        //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
        cache: false,
        //是否显示分页（*）
        pagination: true,
        //排序方式
        sortOrder: "asc",
        //初始化加载第一页，默认第一页
        pageNumber: 1,
        //每页的记录行数（*）
        pageSize: 25,
        //可供选择的每页的行数（*）
        pageList: [5, 10, 25, 50, 100],
        //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据
        url: "${ctx}/cg/reservemanagementcenter/normative/list",
        //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
        //queryParamsType:'',
        ////查询参数,每次调用是会带上这个参数，可自定义
        queryParams: function (params) {
            var searchParam = $("#searchForm").serializeJSON();
            searchParam.pageNo = params.limit === undefined ? "1" : params.offset / params.limit + 1;
            searchParam.pageSize = params.limit === undefined ? -1 : params.limit;
            searchParam.orderBy = params.sort === undefined ? "" : params.sort + " " + params.order;
            return searchParam;
        },
        //分页方式：client客户端分页，server服务端分页（*）
        sidePagination: "server",
        contextMenuTrigger: "right",//pc端 按右键弹出菜单
        contextMenuTriggerMobile: "press",//手机端 弹出菜单，click：单击， press：长按。
        contextMenu: '#context-menu',
        onContextMenuItem: function (row, $el) {
            if ($el.data("item") == "edit") {
                edit(row.id);
            } else if ($el.data("item") == "view") {
                view(row.id);
            } else if ($el.data("item") == "delete") {
                jp.confirm('确认要删除该表单记录吗？', function () {
                    jp.loading();
                    jp.get("${ctx}/cg/reservemanagementcenter/project/delete?id=" + row.id, function (data) {
                        if (data.success) {
                            $('#projectTable').bootstrapTable('refresh');
                            jp.success(data.msg);
                        } else {
                            jp.error(data.msg);
                        }
                    })
                });
            }
        },

        onClickRow: function (row, $el) {
        },
        onShowSearch: function () {
            $("#search-collapse").slideToggle();
        },
        columns:
            [
                [
                    {checkbox:true,width: 36},
                    {"title":"储备项目基本信息","colspan":18,"halign":"center","align": "center",width: "3600px"},
                    {"title":"实施计划","colspan":3,"halign":"center","align": "center",width: "600px"},
                    {"title":"完整性校验","colspan":9,"halign":"center","align": "center",width: "2700px"},
                    {"title":"甲供材情况核对","colspan":2,"halign":"center","align": "center",width: "400px"},
                    {"title":"概算核对","colspan":9,"halign":"center","align": "center",width: "1800px"},
                    {"title":"概预算调整","colspan":2,"halign":"center","align": "center",width: "400px"},
                ],

                [
                    {checkbox:true,width: 36},
                    { field: 'projectYear', title: '项目年份', valign:"middle", align:"center" },
                    { field: 'projectNature', title: '项目性质', valign:"middle", align:"center" },
                    { field: 'demandUnit', title: '需求单位', valign:"middle", align:"center" },
                    { field: 'district', title: '区域', valign:"middle", align:"center" },
                    { field: 'projectGroup', title: '项目分组', valign:"middle", align:"center" },
                    { field: 'reserveBatches', title: '储备批次', valign:"middle", align:"center" },
                    { field: 'blockSupply', title: '供电区域', valign:"middle", align:"center" },
                    { field: 'gridNumber', title: '网格编号', valign:"middle", align:"center" },
                    { field: 'cellNumber', title: '单元格编号', valign:"middle", align:"center" },
                    { field: 'projectReserveId', title: '项目储备编号', valign:"middle", align:"center" },
                    { field: 'projectName', title: '项目名称', valign:"middle", align:"center" ,formatter:paramsMatter},
                    { field: 'constructionNecessityAndContent', title: '建设必要性及内容', valign:"middle", align:"center" ,formatter:paramsMatter},
                    { field: 'substationName', title: '变电站名称', valign:"middle", align:"center" },
                    { field: 'circuitName', title: '线路名称', valign:"middle", align:"center" },
                    { field: 'netRackProjectDivide', title: '网架项目划分', valign:"middle", align:"center" },
                    { field: 'requirementType', title: '需求类型', valign:"middle", align:"center" },
                    { field: 'costEstimate', title: '费用估算', valign:"middle", align:"center" },
                    { field: 'basicRemarks', title: '备注', valign:"middle", align:"center" },
                    { field: 'reserveProgress', title: '储备进度', valign:"middle", align:"center" },
                    { field: 'implementPlan', title: '是否纳入实施计划', valign:"middle", align:"center" },
                    { field: 'implementBatch', title: '初定实施批次', valign:"middle", align:"center" },
                    { field: 'blueprint', title: '图纸', valign:"middle", align:"center",
                        formatter:function(value, row , index){
                            if (value){
                                var valueArray = value.split("|");
                                var labelArray = [];
                                for(var i =0 ; i<valueArray.length; i++){
                                    if(!/\.(gif|jpg|jpeg|png|GIF|JPG|PNG)$/.test(valueArray[i]))
                                    {
                                        labelArray[i] = "<a href=\""+valueArray[i]+"\">"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>" + "</br>"
                                        // labelArray[i] = "<a href='javascript:fileUpLoad(\""+value+"\")'>"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>" + "</br>"
                                    }
                                }
                                return labelArray.join(" ");
                            }
                        }
                    },
                    { field: 'budgetBook', title: '预算书', valign:"middle", align:"center",
                        formatter:function(value, row , index){
                            if (value){
                                var valueArray = value.split("|");
                                var labelArray = [];
                                for(var i =0 ; i<valueArray.length; i++){
                                    if(!/\.(gif|jpg|jpeg|png|GIF|JPG|PNG)$/.test(valueArray[i]))
                                    {
                                        labelArray[i] = "<a href=\""+valueArray[i]+"\">"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>" + "</br>"
                                        // labelArray[i] = "<a href='javascript:fileUpLoad(\""+value+"\")'>"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>" + "</br>"
                                    }
                                }
                                return labelArray.join(" ");
                            }
                        }
                    },
                    { field: 'designManual', title: '设计说明书', valign:"middle", align:"center",
                        formatter:function(value, row , index){
                            if (value){
                                var valueArray = value.split("|");
                                var labelArray = [];
                                for(var i =0 ; i<valueArray.length; i++){
                                    if(!/\.(gif|jpg|jpeg|png|GIF|JPG|PNG)$/.test(valueArray[i]))
                                    {
                                        labelArray[i] = "<a href=\""+valueArray[i]+"\">"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>" + "</br>"
                                        // labelArray[i] = "<a href='javascript:fileUpLoad(\""+value+"\")'>"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>" + "</br>"
                                    }
                                }
                                return labelArray.join(" ");
                            }
                        }
                    },
                    { field: 'materialList', title: '提资材料清册', valign:"middle", align:"center",
                        formatter:function(value, row , index){
                            if (value){
                                var valueArray = value.split("|");
                                var labelArray = [];
                                for(var i =0 ; i<valueArray.length; i++){
                                    if(!/\.(gif|jpg|jpeg|png|GIF|JPG|PNG)$/.test(valueArray[i]))
                                    {
                                        labelArray[i] = "<a href=\""+valueArray[i]+"\">"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>" + "</br>"
                                        // labelArray[i] = "<a href='javascript:fileUpLoad(\""+value+"\")'>"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>" + "</br>"
                                    }
                                }
                                return labelArray.join(" ");
                            }
                        }
                    },
                    { field: 'feasibilityReport', title: '可研报告', valign:"middle", align:"center",
                        formatter:function(value, row , index){
                            if (value){
                                var valueArray = value.split("|");
                                var labelArray = [];
                                for(var i =0 ; i<valueArray.length; i++){
                                    if(!/\.(gif|jpg|jpeg|png|GIF|JPG|PNG)$/.test(valueArray[i]))
                                    {
                                        labelArray[i] = "<a href=\""+valueArray[i]+"\">"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>" + "</br>"
                                        // labelArray[i] = "<a href='javascript:fileUpLoad(\""+value+"\")'>"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>" + "</br>"
                                    }
                                }
                                return labelArray.join(" ");
                            }
                        }
                    },
                    { field: 'projectProposal', title: '项目建议书', valign:"middle", align:"center",
                        formatter:function(value, row , index){
                            if (value){
                                var valueArray = value.split("|");
                                var labelArray = [];
                                for(var i =0 ; i<valueArray.length; i++){
                                    if(!/\.(gif|jpg|jpeg|png|GIF|JPG|PNG)$/.test(valueArray[i]))
                                    {
                                        labelArray[i] = "<a href=\""+valueArray[i]+"\">"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>" + "</br>"
                                        // labelArray[i] = "<a href='javascript:fileUpLoad(\""+value+"\")'>"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>" + "</br>"
                                    }
                                }
                                return labelArray.join(" ");
                            }
                        }
                    },
                    { field: 'oldInventoryDemolition', title: '拆旧清册', valign:"middle", align:"center",
                        formatter:function(value, row , index){
                            if (value){
                                var valueArray = value.split("|");
                                var labelArray = [];
                                for(var i =0 ; i<valueArray.length; i++){
                                    if(!/\.(gif|jpg|jpeg|png|GIF|JPG|PNG)$/.test(valueArray[i]))
                                    {
                                        labelArray[i] = "<a href=\""+valueArray[i]+"\">"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>" + "</br>"
                                        // labelArray[i] = "<a href='javascript:fileUpLoad(\""+value+"\")'>"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>" + "</br>"
                                    }
                                }
                                return labelArray.join(" ");
                            }
                        }
                    },
                    { field: 'noStopWorkPlan', title: '不停电作业方案', valign:"middle", align:"center",
                        formatter:function(value, row , index){
                            if (value){
                                var valueArray = value.split("|");
                                var labelArray = [];
                                for(var i =0 ; i<valueArray.length; i++){
                                    if(!/\.(gif|jpg|jpeg|png|GIF|JPG|PNG)$/.test(valueArray[i]))
                                    {
                                        labelArray[i] = "<a href=\""+valueArray[i]+"\">"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>" + "</br>"
                                        // labelArray[i] = "<a href='javascript:fileUpLoad(\""+value+"\")'>"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>" + "</br>"
                                    }
                                }
                                return labelArray.join(" ");
                            }
                        }
                    },
                    { field: 'castPlaceApprovalForm', title: '土建现浇审批单', valign:"middle", align:"center",
                        formatter:function(value, row , index){
                            if (value){
                                var valueArray = value.split("|");
                                var labelArray = [];
                                for(var i =0 ; i<valueArray.length; i++){
                                    if(!/\.(gif|jpg|jpeg|png|GIF|JPG|PNG)$/.test(valueArray[i]))
                                    {
                                        labelArray[i] = "<a href=\""+valueArray[i]+"\">"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>" + "</br>"
                                        // labelArray[i] = "<a href='javascript:fileUpLoad(\""+value+"\")'>"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>" + "</br>"
                                    }
                                }
                                return labelArray.join(" ");
                            }
                        }
                    },
                    { field: 'reviewMaterial', title: '甲供材优选审核', valign:"middle", align:"center" },
                    { field: 'aSupplyTob', title: '甲供转乙供情况', valign:"middle", align:"center" },
                    { field: 'templateCorrect', title: '预算模板是否正确', valign:"middle", align:"center" },
                    { field: 'correctApplication', title: '定额套用是否正确', valign:"middle", align:"center" },
                    { field: 'workloadConsistent', title: '工作量是否一致', valign:"middle", align:"center" },
                    { field: 'feeCorrect', title: '取费是否正确', valign:"middle", align:"center" },
                    { field: 'materialSupplyA', title: '甲供物资是否正确', valign:"middle", align:"center" },
                    { field: 'materialSupplyB', title: '乙供物资是否正确', valign:"middle", align:"center" },
                    { field: 'chargeLiveWork', title: '带电作业费是否正确', valign:"middle", align:"center" },
                    { field: 'chargeDemolitionWork', title: '拆除工程取费是否正确', valign:"middle", align:"center" },
                    { field: 'otherProblem', title: '其他问题', valign:"middle", align:"center" },
                    { field: 'designAdjustment', title: '是否需要设计调整', valign:"middle", align:"center" },
                    { field: 'designAdjustmentDate', title: '设计调整完成日期', valign:"middle", align:"center" },

                ]
            ]
    });


    if (navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)) {//如果是移动端
        $('#projectTable').bootstrapTable("toggleView");
    }

    $('#projectTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
        'check-all.bs.table uncheck-all.bs.table', function () {
        $('#remove').prop('disabled', !$('#projectTable').bootstrapTable('getSelections').length);
        $('#view,#edit,#jlEdit').prop('disabled', $('#projectTable').bootstrapTable('getSelections').length != 1);
    });

    $("#btnImport").click(function () {
        jp.open({
            type: 2,
            area: [500, 200],
            auto: true,
            title: "导入数据",
            content: "${ctx}/tag/importExcel",
            btn: ['确定', '关闭'],
            btn1: function (index, layero) {
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                iframeWin.contentWindow.importExcel('${ctx}/cg/reservemanagementcenter/normative/import', function (data) {
                    if (data.success) {
                        jp.success(data.msg);
                        refresh();
                    } else {
                        jp.error(data.msg);
                    }
                    jp.close(index);
                });//调用保存事件
                return false;
            },
            btn2: function (index) {
                //  jp.close(index);
            }
        });
    });

    $("#jlImport").click(function () {
        jp.open({
            type: 2,
            area: [500, 200],
            auto: true,
            title: "导入数据",
            content: "${ctx}/tag/importExcel",
            btn: ['确定', '关闭'],
            btn1: function (index, layero) {
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                iframeWin.contentWindow.importExcel('${ctx}/cg/reservemanagementcenter/reserveManage/jlImport', function (data) {
                    if (data.success) {
                        jp.success(data.msg);
                        refresh();
                    } else {
                        jp.error(data.msg);
                    }
                    jp.close(index);
                });//调用保存事件
                return false;
            },

            btn2: function (index) {
                //  jp.close(index);
            }
        });
    });

    $("#btnExport").click(function () {
        var projectReserveId = $("#projectReserveId").val();
        var projectName = $("#projectName").val();
        console.log(projectReserveId)
        jp.downloadFile('${ctx}/cg/reservemanagementcenter/normative/export?projectReserveId=' + projectReserveId + '&projectName=' + projectName);
    });

    $("#search").click("click", function () {// 绑定查询按扭
        $('#projectTable').bootstrapTable('refresh');
    });

    $("#reset").click("click", function () {// 绑定查询按扭
        $("#searchForm  input").val("");
        $("#searchForm  select").val("");
        $("#searchForm  .select-item").html("");
        $('#projectTable').bootstrapTable('refresh');
    });

    $('#beginBeginDate').datetimepicker({
        format: "YYYY-MM-DD HH:mm:ss"
    });
    $('#endBeginDate').datetimepicker({
        format: "YYYY-MM-DD HH:mm:ss"
    });
    $('#endDate').datetimepicker({
        format: "YYYY-MM-DD HH:mm:ss"
    });
});

function edit(id) {//没有权限时，不显示确定按钮
    if (id == undefined) {
        id = getIdSelections();
    }
    jp.openSaveDialog('编辑流程上传文件信息', "${ctx}/cg/reservemanagementcenter/normative/form?id=" + id, '800px', '500px');
}

function fileUpLoad() {
    jp.open({
        type: 2,
        area: ['800px', '300px'],
        title:"上传文件",
        auto:true,
        content: "${ctx}/tag/fileUpload?fileValues="+encodeURI(encodeURI($("input[name='${path}']").val()))+"&uploadPath=${uploadPath}"+"&type=${type}"+"&readonly=${readonly}"
            +"&fileNumLimit=${fileNumLimit}"+"&fileSizeLimit=${fileSizeLimit}"+"&allowedExtensions=${allowedExtensions}"+"&deniedExtensions=${deniedExtensions}",
        cancel: function(index, layero){
            var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
            var fileNames =iframeWin.contentWindow.getUploadFileNames();//调用保存事件
            var fileValues =iframeWin.contentWindow.getUploadFileValues();//调用保存事件
            $("#${path}").val(fileNames);
            $("input[name='${path}']").val(fileValues);
        }
    });
}

//表格超出宽度鼠标悬停显示td内容
function paramsMatter(value,row,index,field) {
    var span = document.createElement('span');
    span.setAttribute('title',value);
    span.innerHTML = value;
    return span.outerHTML;
}

function getIdSelections() {
    return $.map($("#projectTable").bootstrapTable('getSelections'), function (row) {
        return row.id
    });
}


//刷新列表
function refresh() {
    $('#projectTable').bootstrapTable('refresh');
}

function add() {
    jp.openSaveDialog('新增储备项目基本信息', "${ctx}/cg/reservemanagementcenter/reserveManage/form", '800px', '500px');
}

function jlEdit(id) {//没有权限时，不显示确定按钮
    if (id == undefined) {
        id = getIdSelections();
    }
    jp.openSaveDialog('编辑储备项目基本信息', "${ctx}/cg/reservemanagementcenter/reserveManage/jlEdit?id=" + id, '800px', '500px');
}

function view(id) {//没有权限时，不显示确定按钮
    if (id == undefined) {
        id = getIdSelections();
    }
    jp.openViewDialog('查看储备项目基本信息', "${ctx}/cg/reservemanagementcenter/reserveManage/view?id=" + id, '800px', '500px');
}

function deleteAll(){

    jp.confirm('确认要删除该储备项目基本信息吗？', function(){
        jp.loading();
        jp.get("${ctx}/cg/reservemanagementcenter/budgetStats/deleteAll?ids=" + getIdSelections(), function(data){
            if(data.success){
                $('#projectTable').bootstrapTable('refresh');
                jp.success(data.msg);
            }else{
                jp.error(data.msg);
            }
        })

    })
}
//转换日期格式(时间戳转换为datetime格式)
function changeDateFormat(cellval) {
    var dateVal = cellval + "";
    if (cellval != null) {
        var date = new Date(parseInt(dateVal.replace("/Date(", "").replace(")/", ""), 10));
        var month = date.getMonth() + 1 < 10 ? "0" + (date.getMonth() + 1) : date.getMonth() + 1;
        var currentDate = date.getDate() < 10 ? "0" + date.getDate() : date.getDate();

        /*var hours = date.getHours() < 10 ? "0" + date.getHours() : date.getHours();
        var minutes = date.getMinutes() < 10 ? "0" + date.getMinutes() : date.getMinutes();
        var seconds = date.getSeconds() < 10 ? "0" + date.getSeconds() : date.getSeconds();*/

        return date.getFullYear() + "-" + month + "-" + currentDate /*+ " " + hours + ":" + minutes + ":" + seconds*/;
    }
}

</script>
