<%@ page contentType="text/html;charset=UTF-8" %>
<script >
$(document).ready(function () {
    $('#projectTable').bootstrapTable({
        //请求方法
        method: 'post',
        //类型json
        dataType: "json",
        contentType: "application/x-www-form-urlencoded",
        //显示检索按钮
        showSearch: true,
        //显示刷新按钮
        showRefresh: true,
        //显示切换手机试图按钮
        showToggle: true,
        //显示 内容列下拉框
        showColumns: true,
        //显示到处按钮
        showExport: true,
        //显示切换分页按钮
        showPaginationSwitch: true,
        //最低显示2行
        minimumCountColumns: 2,
        //是否显示行间隔色
        striped: true,
        //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
        cache: false,
        //是否显示分页（*）
        pagination: true,
        //排序方式
        sortOrder: "asc",
        //初始化加载第一页，默认第一页
        pageNumber: 1,
        //每页的记录行数（*）
        pageSize: 25,
        //可供选择的每页的行数（*）
        pageList: [5, 10, 25, 50, 100],
        //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据
        url: "${ctx}/cg/reservemanagementcenter/progressStats/list",
        //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
        //queryParamsType:'',
        ////查询参数,每次调用是会带上这个参数，可自定义
        queryParams: function (params) {
            var searchParam = $("#searchForm").serializeJSON();
            searchParam.pageNo = params.limit === undefined ? "1" : params.offset / params.limit + 1;
            searchParam.pageSize = params.limit === undefined ? -1 : params.limit;
            searchParam.orderBy = params.sort === undefined ? "" : params.sort + " " + params.order;
            return searchParam;
        },
        //分页方式：client客户端分页，server服务端分页（*）
        sidePagination: "server",
        contextMenuTrigger: "right",//pc端 按右键弹出菜单
        contextMenuTriggerMobile: "press",//手机端 弹出菜单，click：单击， press：长按。
        contextMenu: '#context-menu',
        onContextMenuItem: function (row, $el) {
            if ($el.data("item") == "edit") {
                edit(row.id);
            } else if ($el.data("item") == "view") {
                view(row.id);
            } else if ($el.data("item") == "delete") {
                jp.confirm('确认要删除该表单记录吗？', function () {
                    jp.loading();
                    jp.get("${ctx}/cg/reservemanagementcenter/project/delete?id=" + row.id, function (data) {
                        if (data.success) {
                            $('#projectTable').bootstrapTable('refresh');
                            jp.success(data.msg);
                        } else {
                            jp.error(data.msg);
                        }
                    })
                });
            }
        },

        onClickRow: function (row, $el) {
        },
        onShowSearch: function () {
            $("#search-collapse").slideToggle();
        },
        columns:
            [
                [
                    {checkbox:true,width: 36},
                    {"title":"储备项目设计全流程跟踪","colspan":53,"halign":"center","align": "center",width: "10600px"}
                ],
                [
                    {checkbox:true,width: 36},
                    { title: "储备基本信息", valign:"middle", align:"center", colspan: 6, rowspan: 1},
                    { title: "储备进度", valign:"middle", align:"center", colspan: 3, rowspan: 1 },
                    { title: "运检部评审", valign:"middle", align:"center", colspan: 3, rowspan: 1 },
                    { title: "设计委托", valign:"middle", align:"center", colspan: 3, rowspan: 1 },
                    { title: "储备交底", valign:"middle", align:"center", colspan: 3, rowspan: 1 },
                    { title: "图纸初设", valign:"middle", align:"center", colspan: 2, rowspan: 1 },
                    { title: "项目经理审图", valign:"middle", align:"center", colspan: 7, rowspan: 1 },
                    { title: "概预算审核", valign:"middle", align:"center", colspan: 7, rowspan: 1 },
                    { title: "省公司评审", valign:"middle", align:"center", colspan: 6, rowspan: 1 },
                    { title: "图纸联合审查", valign:"middle", align:"center", colspan: 7, rowspan: 1 },
                    { title: "图纸定稿", valign:"middle", align:"center", colspan: 6, rowspan: 1 },
                ],
                [
                    {checkbox:true,width: 36},
                    { field: 'projectReserveId', title: '储备项目编号', valign:"middle", align:"center" },
                    { field: 'projectName', title: '储备项目名称', valign:"middle", align:"center" ,formatter:paramsMatter},
                    { field: 'requirementType', title: '储备项目类型', valign:"middle", align:"center" },
                    { field: 'demandUnit', title: '需求提出单位', valign:"middle", align:"center" },
                    { field: 'reserveBatches', title: '储备批次', valign:"middle", align:"center" },
                    { field: 'basicRemarks', title: '备注', valign:"middle", align:"center" ,formatter:paramsMatter},
                    { field: 'reserveProgress', title: '储备进度', valign:"middle", align:"center" ,formatter:paramsMatter},
                    { field: 'implementPlan', title: '是否纳入实施计划', valign:"middle", align:"center" },
                    { field: 'initialImplementBatch', title: '初定实施批次', valign:"middle", align:"center" },
                    { field: 'inspectDepartmentReview', title: '是否通过运检部评审', valign:"middle", align:"center" },
                    { field: 'inspectDepartmentReviewTime', title: '通过运检部评审时间', valign:"middle", align:"center" },
                    { field: 'releaseReserveTime', title: '运检部下达储备时间', valign:"middle", align:"center" },
                    { field: 'designCommission', title: '是否发出设计委托', valign:"middle", align:"center" },
                    { field: 'designCommissionIssueTime', title: '设计委托发出时间', valign:"middle", align:"center" },
                    { field: 'limitDate', title: '初设提交限定日期', valign:"middle", align:"center" },
                    { field: 'onSiteConfess', title: '是否进行现场交底', valign:"middle", align:"center" },
                    { field: 'confessCompleteTime', title: '交底完成时间', valign:"middle", align:"center" },
                    { field: 'includeReserve', title: '是否进行储备', valign:"middle", align:"center" },
                    { field: 'completeDesign', title: '是否完成初设', valign:"middle", align:"center" },
                    { field: 'submitTime', title: '初设提交时间', valign:"middle", align:"center" },
                    { field: 'completeDraw', title: '是否进行审图', valign:"middle", align:"center" },
                    { field: 'completeDrawDate', title: '审图日期', valign:"middle", align:"center" },
                    { field: 'drawAudit', title: '是否通过图纸审核', valign:"middle", align:"center" },
                    { field: 'passAuditDate', title: '通过审核日期', valign:"middle", align:"center" },
                    { field: 'reasonForFailure', title: '未通过原因分析', valign:"middle", align:"center" ,formatter:paramsMatter},
                    { field: 'changeDesign', title: '是否需设计变更', valign:"middle", align:"center" },
                    { field: 'drawRemarks', title: '备注', valign:"middle", align:"center" ,formatter:paramsMatter},
                    { field: 'whetherToAudit', title: '是否进行审核', valign:"middle", align:"center" },
                    { field: 'auditDate', title: '审核日期', valign:"middle", align:"center" },
                    { field: 'expertReview', title: '是否通过专家审核', valign:"middle", align:"center" },
                    { field: 'estimatePassAuditDate', title: '通过审核日期', valign:"middle", align:"center" },
                    { field: 'estimateReasonForFailure', title: '未通过原因分析', valign:"middle", align:"center" ,formatter:paramsMatter},
                    { field: 'estimateChangeDesign', title: '是否需设计变更', valign:"middle", align:"center" },
                    { field: 'budgetRemarks', title: '备注', valign:"middle", align:"center" ,formatter:paramsMatter},
                    { field: 'provincialCompanyReview', title: '是否参加省公司评审', valign:"middle", align:"center" },
                    { field: 'provincialCompanyReviewBatch', title: '省公司评审批次/日期', valign:"middle", align:"center" },
                    { field: 'passProvincialCompanyReview', title: '是否通过省公司评审', valign:"middle", align:"center" },
                    { field: 'causeAnalysis', title: '评审意见', valign:"middle", align:"center" ,formatter:paramsMatter},
                    { field: 'designChange', title: '是否需设计变更', valign:"middle", align:"center" },
                    { field: 'provincialCompanyRemarks', title: '备注', valign:"middle", align:"center" ,formatter:paramsMatter},
                    { field: 'drawingReview', title: '是否进行图纸审查', valign:"middle", align:"center" },
                    { field: 'reviewDate', title: '联合审图日期', valign:"middle", align:"center" },
                    { field: 'passDrawingReview', title: '是否通过图纸审查', valign:"middle", align:"center" },
                    { field: 'approvedDate', title: '通过审核日期', valign:"middle", align:"center" },
                    { field: 'reviewComment', title: '审图意见', valign:"middle", align:"center" ,formatter:paramsMatter},
                    { field: 'jointReviewDesignChange', title: '是否需设计变更', valign:"middle", align:"center" },
                    { field: 'drawingUnionRemarks', title: '备注', valign:"middle", align:"center" ,formatter:paramsMatter},
                    { field: 'drawingFinalize', title: '图纸是否定稿', valign:"middle", align:"center" },
                    { field: 'finalDate', title: '定稿日期', valign:"middle", align:"center" },
                    { field: 'formalDrawing', title: '是否打印正式图纸', valign:"middle", align:"center" },
                    { field: 'drawingDate', title: '通知出图日期', valign:"middle", align:"center" },
                    { field: 'transferProjectCenterDate', title: '正式图纸移交项目中心日期', valign:"middle", align:"center" },
                    { field: 'transferToConstructionUnitDate', title: '正式图纸移交施工单位日期', valign:"middle", align:"center" }
                ],

            ]
    });


    if (navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)) {//如果是移动端
        $('#projectTable').bootstrapTable("toggleView");
    }

    $('#projectTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
        'check-all.bs.table uncheck-all.bs.table', function () {
        $('#remove').prop('disabled', !$('#projectTable').bootstrapTable('getSelections').length);
        $('#view,#edit,#jlEdit').prop('disabled', $('#projectTable').bootstrapTable('getSelections').length != 1);
    });

    $("#btnImport").click(function () {
        jp.open({
            type: 2,
            area: [500, 200],
            auto: true,
            title: "导入数据",
            content: "${ctx}/tag/importExcel",
            btn: ['确定', '关闭'],
            btn1: function (index, layero) {
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                iframeWin.contentWindow.importExcel('${ctx}/cg/reservemanagementcenter/progressStats/import', function (data) {
                    if (data.success) {
                        jp.success(data.msg);
                        refresh();
                    } else {
                        jp.error(data.msg);
                    }
                    jp.close(index);
                });//调用保存事件
                return false;
            },
            btn2: function (index) {
                //  jp.close(index);
            }
        });
    });

    $("#jlImport").click(function () {
        jp.open({
            type: 2,
            area: [500, 200],
            auto: true,
            title: "导入数据",
            content: "${ctx}/tag/importExcel",
            btn: ['确定', '关闭'],
            btn1: function (index, layero) {
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                iframeWin.contentWindow.importExcel('${ctx}/cg/reservemanagementcenter/reserveManage/jlImport', function (data) {
                    if (data.success) {
                        jp.success(data.msg);
                        refresh();
                    } else {
                        jp.error(data.msg);
                    }
                    jp.close(index);
                });//调用保存事件
                return false;
            },

            btn2: function (index) {
                //  jp.close(index);
            }
        });
    });

    $("#btnExport").click(function () {
        var projectReserveId = $("#projectReserveId").val();
        var projectName = $("#projectName").val();
        console.log(projectReserveId)
        jp.downloadFile('${ctx}/cg/reservemanagementcenter/progressStats/export?projectReserveId=' + projectReserveId + '&projectName=' + projectName);
    });

    $("#search").click("click", function () {// 绑定查询按扭
        $('#projectTable').bootstrapTable('refresh');
    });

    $("#reset").click("click", function () {// 绑定查询按扭
        $("#searchForm  input").val("");
        $("#searchForm  select").val("");
        $("#searchForm  .select-item").html("");
        $('#projectTable').bootstrapTable('refresh');
    });

    $('#beginBeginDate').datetimepicker({
        format: "YYYY-MM-DD HH:mm:ss"
    });
    $('#endBeginDate').datetimepicker({
        format: "YYYY-MM-DD HH:mm:ss"
    });
    $('#endDate').datetimepicker({
        format: "YYYY-MM-DD HH:mm:ss"
    });
});

//表格超出宽度鼠标悬停显示td内容
function paramsMatter(value,row,index,field) {
    var span = document.createElement('span');
    span.setAttribute('title',value);
    span.innerHTML = value;
    return span.outerHTML;
}

function getIdSelections() {
    return $.map($("#projectTable").bootstrapTable('getSelections'), function (row) {
        return row.id
    });
}


//刷新列表
function refresh() {
    $('#projectTable').bootstrapTable('refresh');
}

function add() {
    jp.openSaveDialog('新增储备项目基本信息', "${ctx}/cg/reservemanagementcenter/reserveManage/form", '800px', '500px');
}


function edit(id) {//没有权限时，不显示确定按钮
    if (id == undefined) {
        id = getIdSelections();
    }
    jp.openSaveDialog('编辑储备项目基本信息', "${ctx}/cg/reservemanagementcenter/reserveManage/form?id=" + id, '800px', '500px');
}

function jlEdit(id) {//没有权限时，不显示确定按钮
    if (id == undefined) {
        id = getIdSelections();
    }
    jp.openSaveDialog('编辑储备项目基本信息', "${ctx}/cg/reservemanagementcenter/reserveManage/jlEdit?id=" + id, '800px', '500px');
}

function view(id) {//没有权限时，不显示确定按钮
    if (id == undefined) {
        id = getIdSelections();
    }
    jp.openViewDialog('查看储备项目基本信息', "${ctx}/cg/reservemanagementcenter/reserveManage/view?id=" + id, '800px', '500px');
}

function deleteAll(){

    jp.confirm('确认要删除该储备进度统计表信息吗？', function(){
        jp.loading();
        jp.get("${ctx}/cg/reservemanagementcenter/progressStats/deleteAll?ids=" + getIdSelections(), function(data){
            if(data.success){
                $('#projectTable').bootstrapTable('refresh');
                jp.success(data.msg);
            }else{
                jp.error(data.msg);
            }
        })

    })
}
//转换日期格式(时间戳转换为datetime格式)
function changeDateFormat(cellval) {
    var dateVal = cellval + "";
    if (cellval != null) {
        var date = new Date(parseInt(dateVal.replace("/Date(", "").replace(")/", ""), 10));
        var month = date.getMonth() + 1 < 10 ? "0" + (date.getMonth() + 1) : date.getMonth() + 1;
        var currentDate = date.getDate() < 10 ? "0" + date.getDate() : date.getDate();

        /*var hours = date.getHours() < 10 ? "0" + date.getHours() : date.getHours();
        var minutes = date.getMinutes() < 10 ? "0" + date.getMinutes() : date.getMinutes();
        var seconds = date.getSeconds() < 10 ? "0" + date.getSeconds() : date.getSeconds();*/

        return date.getFullYear() + "-" + month + "-" + currentDate /*+ " " + hours + ":" + minutes + ":" + seconds*/;
    }
}

</script>
